Bug 596420 - gnome-session fails to start GNOME desktop on fresh stock Fedora 13 install
Summary: gnome-session fails to start GNOME desktop on fresh stock Fedora 13 install
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: GConf (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-26 18:03 UTC by Mukund Sivaraman
Modified: 2011-06-27 16:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 16:43:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mukund Sivaraman 2010-05-26 18:03:19 UTC
Description of problem:

gnome-session fails to start GNOME desktop on fresh stock Fedora 13 install. From the ~/.xsession-errors file, it appears to be GConf schema related.
FWIW, KDE works properly.

I'd appreciate it if someone looks at it quickly.


The ~/.xsession errors file is as follows:

Window manager warning: "(null)" found in configuration database is not a valid value for mouse button modifier
Window manager warning: Could not parse font description "(null)" from GConf key /apps/metacity/general/titlebar_font
Window manager warning: 0 stored in GConf key /apps/metacity/general/num_workspaces is out of range 1 to 36
**
metacity:ERROR:core/prefs.c:2532:meta_prefs_get_workspace_name: assertion failed: (workspace_names[i] != NULL)

(gnome-panel:23403): Gtk-CRITICAL **: gtk_accelerator_parse: assertion `accelerator != NULL' failed

** (gnome-panel:23403): WARNING **: Unable to parse mouse modifier '(null)'

Window manager warning: "(null)" found in configuration database is not a valid value for mouse button modifier
Window manager warning: Could not parse font description "(null)" from GConf key /apps/metacity/general/titlebar_font
Window manager warning: 0 stored in GConf key /apps/metacity/general/num_workspaces is out of range 1 to 36
**
metacity:ERROR:core/prefs.c:2532:meta_prefs_get_workspace_name: assertion failed: (workspace_names[i] != NULL)

(polkit-gnome-authentication-agent-1:23418): GLib-GObject-WARNING **: cannot register existing type `_PolkitError'

(polkit-gnome-authentication-agent-1:23418): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
Failed to play sound: File or data not found




Version-Release number of selected component (if applicable):
GConf2-2.28.1-1.fc13.x86_64
gdm-2.30.2-1.fc13.x86_64
gnome-session-2.30.0-1.fc13.x86_64
gnome-settings-daemon-2.30.1-6.fc13.x86_64


How reproducible:
Always

Steps to Reproduce:
1. Login using username/password in GDM. Login succeeds.
2. The GNOME wallpaper seems to appear.
3. No panels are shown. No window manager, nothing.
  
Actual results:
GNOME desktop isn't started

Expected results:
GNOME desktop should start


Additional info:

FWIW, there seems to be a similar Ubuntu bug:
https://bugs.launchpad.net/ubuntu/+source/gconf2/+bug/533298

Comment 1 Bug Zapper 2011-06-02 13:23:24 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2011-06-27 16:43:38 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.